MAIN.C(1)

NAME
pbc_dump - Dump or convert Parrot bytecode (PBC) files

SYNOPSIS
 pbc_dump [-tdh] [--terse|--disassemble|--header-only] file.pbc

 pbc_dump -o converted.pbc file.pbc

DESCRIPTION
A program to dump pack files to human readable form.

  Command-Line Options

"-d"
    Disassemble bytecode segments.

"-h"
    Dump the bytecode header only.

"-t"
    Terse output.

"-o converted.pbc"
    Repacks a PBC file into the platform's native binary format for better efficiency on reading non-native PBCs.

  Functions

"static void const_dump(PARROT_INTERP, const PackFile_Segment *segp)"
    Dump the constant table.

"static void disas_dump(PARROT_INTERP, const PackFile_Segment *self)"
    Disassemble and dump.

"static void nums_dump(PARROT_INTERP, const PackFile_Segment *self)"
    Disassembles and dumps op names and line numbers only.

"static void null_dump(PARROT_INTERP, const PackFile_Segment *self)"
    Produces no output for the given segment type.

"static void null_dir_dump(PARROT_INTERP, const PackFile_Segment *self)"
    Dumps all of the segments of the given PackFile_Directory, but produces no output for the directory itself.

"static void PackFile_header_dump(PARROT_INTERP, const PackFile *pf)"
    Dump the header.

"static void help(void)"
    Print out the user help info.

"int main(int argc, const char **argv)"
    The run loop. Process the command-line arguments and dump accordingly.

SEE ALSO
src/packdump.c.